------------------------------------------------------------------------------------------
-- InstanceWindow file
-- Written by Homeopatix
-- 17 avril 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- create the window
------------------------------------------------------------------------------------------
function CreateInstanceWindow(i)
    width = 400;
    height = 770;
	local title = "Instances"

    windowWidth, windowHeight = Turbine.UI.Display:GetSize();

    InstanceWindow=Turbine.UI.Lotro.GoldWindow(); 
    InstanceWindow:SetSize(windowWidth, windowHeight); 
    InstanceWindow:SetPosition(windowWidth / 2 - width / 2, (windowHeight / 2 - height / 2) - 20);
    InstanceWindow:SetSize(width, height);
    InstanceWindow:SetBlendMode(Turbine.UI.BlendMode.Undefined);
    --InstanceWindow:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));
    InstanceWindow:SetText(ZonesNamesAndLevel["zones" .. i].texte .. "    lvl : " .. ZonesNamesAndLevel["zones" .. i].lvl);
    InstanceWindow:SetVisible(false);
    InstanceWindow:SetWantsKeyEvents(true);

    local posx = 20;
    local posy = 40;
	------------------------------------------------------------------------------------------
	-- define the diferent title from tier
	------------------------------------------------------------------------------------------
	WhereToPlayerDatas=Turbine.UI.Label(); 
	WhereToPlayerDatas:SetParent(InstanceWindow); 
	WhereToPlayerDatas:SetSize(380,40); 
	WhereToPlayerDatas:SetPosition(InstanceWindow:GetWidth()/2 - 190, posy); 
    WhereToPlayerDatas:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold24);
    WhereToPlayerDatas:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	WhereToPlayerDatas:SetText(title);
    WhereToPlayerDatas:SetForeColor(Turbine.UI.Color.Gold);

	posy = posy + 40;

	WhereToPlayInstancePlace=Turbine.UI.Label(); 
	WhereToPlayInstancePlace:SetParent(InstanceWindow); 
	WhereToPlayInstancePlace:SetSize(32,32); 
	WhereToPlayInstancePlace:SetPosition(InstanceWindow:GetWidth()/2 - 16, posy); 
	WhereToPlayInstancePlace:SetText(""); 
	WhereToPlayInstancePlace:SetBackground(0x4111D291); 
	WhereToPlayInstancePlace:SetBlendMode(Turbine.UI.BlendMode.Overlay);

	posy = posy + 140;

	WhereToPlayInstancePlace=Turbine.UI.Label(); 
	WhereToPlayInstancePlace:SetParent(InstanceWindow); 
	WhereToPlayInstancePlace:SetSize(380,40); 
	WhereToPlayInstancePlace:SetPosition(InstanceWindow:GetWidth()/2 - 190, posy); 
	WhereToPlayInstancePlace:SetText( Strings.PlugInstances1 ); 
	WhereToPlayInstancePlace:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold24);
    WhereToPlayInstancePlace:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
    WhereToPlayInstancePlace:SetForeColor(Turbine.UI.Color.Gold);

	












	------------------------------------------------------------------------------------------
	-- Button to close the window
	------------------------------------------------------------------------------------------
    buttonValider = Turbine.UI.Lotro.GoldButton();
	buttonValider:SetParent( InstanceWindow );
	buttonValider:SetPosition(InstanceWindow:GetWidth()/2 - 125, InstanceWindow:GetHeight() - 35);
	buttonValider:SetSize( 300, 34 );
	buttonValider:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	buttonValider:SetText( Strings.PluginCloseButton );
	buttonValider:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	buttonValider:SetVisible(true);
	buttonValider:SetMouseVisible(true);
    buttonValider:SetZOrder(10);

    buttonValider.MouseClick = function(sender, args)
        CloseInstanceWindow();
    end

    InstanceWindow.KeyDown=function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			settings["isInstanceWindowVisible"]["value"] = false;
			InstanceWindow:SetVisible(false);
		end
	end

end